#ifndef _H_DRAW_
#define _H_DRAW_

#include <stdint.h>

typedef struct color color_t;
typedef struct point point_t;

struct color {
	uint8_t		b;
	uint8_t		g;
	uint8_t		r;
	uint8_t		a;
};

struct point {
	float		x;
	float		y;
};

void draw_clear(color_t col);
void draw_line(const point_t *s, const point_t *e, color_t col);

#endif /* _H_DRAW_ */

